pragma Warnings (Off);
pragma Ada_95;
with System;
with System.Parameters;
with System.Secondary_Stack;
package ada_main is

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 10.4.0" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_gnatlink" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#baf7acb0#;
   pragma Export (C, u00001, "gnatlinkB");
   u00002 : constant Version_32 := 16#e72e593c#;
   pragma Export (C, u00002, "gnatlinkS");
   u00003 : constant Version_32 := 16#050ff2f0#;
   pragma Export (C, u00003, "system__standard_libraryB");
   u00004 : constant Version_32 := 16#70c0456d#;
   pragma Export (C, u00004, "system__standard_libraryS");
   u00005 : constant Version_32 := 16#76789da1#;
   pragma Export (C, u00005, "adaS");
   u00006 : constant Version_32 := 16#7e1a0b30#;
   pragma Export (C, u00006, "ada__command_lineB");
   u00007 : constant Version_32 := 16#3cdef8c9#;
   pragma Export (C, u00007, "ada__command_lineS");
   u00008 : constant Version_32 := 16#77e65b42#;
   pragma Export (C, u00008, "systemS");
   u00009 : constant Version_32 := 16#c2f8f675#;
   pragma Export (C, u00009, "system__secondary_stackB");
   u00010 : constant Version_32 := 16#3272a35b#;
   pragma Export (C, u00010, "system__secondary_stackS");
   u00011 : constant Version_32 := 16#2983a2a1#;
   pragma Export (C, u00011, "ada__exceptionsB");
   u00012 : constant Version_32 := 16#e7843ced#;
   pragma Export (C, u00012, "ada__exceptionsS");
   u00013 : constant Version_32 := 16#5726abed#;
   pragma Export (C, u00013, "ada__exceptions__last_chance_handlerB");
   u00014 : constant Version_32 := 16#cfec26ee#;
   pragma Export (C, u00014, "ada__exceptions__last_chance_handlerS");
   u00015 : constant Version_32 := 16#ae860117#;
   pragma Export (C, u00015, "system__soft_linksB");
   u00016 : constant Version_32 := 16#bcec2334#;
   pragma Export (C, u00016, "system__soft_linksS");
   u00017 : constant Version_32 := 16#75bf515c#;
   pragma Export (C, u00017, "system__soft_links__initializeB");
   u00018 : constant Version_32 := 16#5697fc2b#;
   pragma Export (C, u00018, "system__soft_links__initializeS");
   u00019 : constant Version_32 := 16#86dbf443#;
   pragma Export (C, u00019, "system__parametersB");
   u00020 : constant Version_32 := 16#3f0a0f69#;
   pragma Export (C, u00020, "system__parametersS");
   u00021 : constant Version_32 := 16#41837d1e#;
   pragma Export (C, u00021, "system__stack_checkingB");
   u00022 : constant Version_32 := 16#f95930aa#;
   pragma Export (C, u00022, "system__stack_checkingS");
   u00023 : constant Version_32 := 16#ced09590#;
   pragma Export (C, u00023, "system__storage_elementsB");
   u00024 : constant Version_32 := 16#5a251146#;
   pragma Export (C, u00024, "system__storage_elementsS");
   u00025 : constant Version_32 := 16#34742901#;
   pragma Export (C, u00025, "system__exception_tableB");
   u00026 : constant Version_32 := 16#2a483200#;
   pragma Export (C, u00026, "system__exception_tableS");
   u00027 : constant Version_32 := 16#ce4af020#;
   pragma Export (C, u00027, "system__exceptionsB");
   u00028 : constant Version_32 := 16#1f8536b4#;
   pragma Export (C, u00028, "system__exceptionsS");
   u00029 : constant Version_32 := 16#1d2f86ee#;
   pragma Export (C, u00029, "system__exceptions__machineB");
   u00030 : constant Version_32 := 16#328ef147#;
   pragma Export (C, u00030, "system__exceptions__machineS");
   u00031 : constant Version_32 := 16#aa0563fc#;
   pragma Export (C, u00031, "system__exceptions_debugB");
   u00032 : constant Version_32 := 16#096ca286#;
   pragma Export (C, u00032, "system__exceptions_debugS");
   u00033 : constant Version_32 := 16#6c2f8802#;
   pragma Export (C, u00033, "system__img_intB");
   u00034 : constant Version_32 := 16#753dbb80#;
   pragma Export (C, u00034, "system__img_intS");
   u00035 : constant Version_32 := 16#39df8c17#;
   pragma Export (C, u00035, "system__tracebackB");
   u00036 : constant Version_32 := 16#29c48586#;
   pragma Export (C, u00036, "system__tracebackS");
   u00037 : constant Version_32 := 16#9ed49525#;
   pragma Export (C, u00037, "system__traceback_entriesB");
   u00038 : constant Version_32 := 16#77bdad32#;
   pragma Export (C, u00038, "system__traceback_entriesS");
   u00039 : constant Version_32 := 16#bb296fbb#;
   pragma Export (C, u00039, "system__traceback__symbolicB");
   u00040 : constant Version_32 := 16#46491211#;
   pragma Export (C, u00040, "system__traceback__symbolicS");
   u00041 : constant Version_32 := 16#701f9d88#;
   pragma Export (C, u00041, "ada__exceptions__tracebackB");
   u00042 : constant Version_32 := 16#ae2d2db5#;
   pragma Export (C, u00042, "ada__exceptions__tracebackS");
   u00043 : constant Version_32 := 16#a0d3d22b#;
   pragma Export (C, u00043, "system__address_imageB");
   u00044 : constant Version_32 := 16#d60ac678#;
   pragma Export (C, u00044, "system__address_imageS");
   u00045 : constant Version_32 := 16#8c33a517#;
   pragma Export (C, u00045, "system__wch_conB");
   u00046 : constant Version_32 := 16#6c9b7990#;
   pragma Export (C, u00046, "system__wch_conS");
   u00047 : constant Version_32 := 16#9721e840#;
   pragma Export (C, u00047, "system__wch_stwB");
   u00048 : constant Version_32 := 16#418a5591#;
   pragma Export (C, u00048, "system__wch_stwS");
   u00049 : constant Version_32 := 16#a831679c#;
   pragma Export (C, u00049, "system__wch_cnvB");
   u00050 : constant Version_32 := 16#632cc363#;
   pragma Export (C, u00050, "system__wch_cnvS");
   u00051 : constant Version_32 := 16#5ab55268#;
   pragma Export (C, u00051, "interfacesS");
   u00052 : constant Version_32 := 16#ece6fdb6#;
   pragma Export (C, u00052, "system__wch_jisB");
   u00053 : constant Version_32 := 16#e35cda42#;
   pragma Export (C, u00053, "system__wch_jisS");
   u00054 : constant Version_32 := 16#abfcab7d#;
   pragma Export (C, u00054, "aliB");
   u00055 : constant Version_32 := 16#4f5456e6#;
   pragma Export (C, u00055, "aliS");
   u00056 : constant Version_32 := 16#c017f602#;
   pragma Export (C, u00056, "butilB");
   u00057 : constant Version_32 := 16#0d752381#;
   pragma Export (C, u00057, "butilS");
   u00058 : constant Version_32 := 16#b5988c27#;
   pragma Export (C, u00058, "gnatS");
   u00059 : constant Version_32 := 16#b5383132#;
   pragma Export (C, u00059, "optB");
   u00060 : constant Version_32 := 16#5897096d#;
   pragma Export (C, u00060, "optS");
   u00061 : constant Version_32 := 16#5d525d24#;
   pragma Export (C, u00061, "gnatvsnB");
   u00062 : constant Version_32 := 16#aed2d083#;
   pragma Export (C, u00062, "gnatvsnS");
   u00063 : constant Version_32 := 16#dcf8e2cf#;
   pragma Export (C, u00063, "system__assertionsB");
   u00064 : constant Version_32 := 16#ba6b77d6#;
   pragma Export (C, u00064, "system__assertionsS");
   u00065 : constant Version_32 := 16#b9a3a899#;
   pragma Export (C, u00065, "tree_ioB");
   u00066 : constant Version_32 := 16#9225cec4#;
   pragma Export (C, u00066, "tree_ioS");
   u00067 : constant Version_32 := 16#91fc5baa#;
   pragma Export (C, u00067, "debugB");
   u00068 : constant Version_32 := 16#1ac546f9#;
   pragma Export (C, u00068, "debugS");
   u00069 : constant Version_32 := 16#39794d05#;
   pragma Export (C, u00069, "outputB");
   u00070 : constant Version_32 := 16#83393876#;
   pragma Export (C, u00070, "outputS");
   u00071 : constant Version_32 := 16#7db849eb#;
   pragma Export (C, u00071, "hostparmS");
   u00072 : constant Version_32 := 16#fd83e873#;
   pragma Export (C, u00072, "system__concat_2B");
   u00073 : constant Version_32 := 16#75468c92#;
   pragma Export (C, u00073, "system__concat_2S");
   u00074 : constant Version_32 := 16#587eb9ab#;
   pragma Export (C, u00074, "typesB");
   u00075 : constant Version_32 := 16#43383cda#;
   pragma Export (C, u00075, "typesS");
   u00076 : constant Version_32 := 16#acee74ad#;
   pragma Export (C, u00076, "system__compare_array_unsigned_8B");
   u00077 : constant Version_32 := 16#dee52acf#;
   pragma Export (C, u00077, "system__compare_array_unsigned_8S");
   u00078 : constant Version_32 := 16#a8025f3c#;
   pragma Export (C, u00078, "system__address_operationsB");
   u00079 : constant Version_32 := 16#64eae571#;
   pragma Export (C, u00079, "system__address_operationsS");
   u00080 : constant Version_32 := 16#436027c1#;
   pragma Export (C, u00080, "system__unsigned_typesS");
   u00081 : constant Version_32 := 16#6591bc26#;
   pragma Export (C, u00081, "system__os_libB");
   u00082 : constant Version_32 := 16#d872da39#;
   pragma Export (C, u00082, "system__os_libS");
   u00083 : constant Version_32 := 16#ec4d5631#;
   pragma Export (C, u00083, "system__case_utilB");
   u00084 : constant Version_32 := 16#4833ed16#;
   pragma Export (C, u00084, "system__case_utilS");
   u00085 : constant Version_32 := 16#31b1d418#;
   pragma Export (C, u00085, "system__crtlS");
   u00086 : constant Version_32 := 16#2a8e89ad#;
   pragma Export (C, u00086, "system__stringsB");
   u00087 : constant Version_32 := 16#17f077d7#;
   pragma Export (C, u00087, "system__stringsS");
   u00088 : constant Version_32 := 16#3c5e1c04#;
   pragma Export (C, u00088, "nametB");
   u00089 : constant Version_32 := 16#f1c61094#;
   pragma Export (C, u00089, "nametS");
   u00090 : constant Version_32 := 16#700bac7f#;
   pragma Export (C, u00090, "widecharB");
   u00091 : constant Version_32 := 16#700d44f3#;
   pragma Export (C, u00091, "widecharS");
   u00092 : constant Version_32 := 16#972e59bd#;
   pragma Export (C, u00092, "allocS");
   u00093 : constant Version_32 := 16#c69c6160#;
   pragma Export (C, u00093, "tableB");
   u00094 : constant Version_32 := 16#71c45158#;
   pragma Export (C, u00094, "tableS");
   u00095 : constant Version_32 := 16#e31b7c4e#;
   pragma Export (C, u00095, "system__memoryB");
   u00096 : constant Version_32 := 16#2e9b3d76#;
   pragma Export (C, u00096, "system__memoryS");
   u00097 : constant Version_32 := 16#e909d55e#;
   pragma Export (C, u00097, "fnameB");
   u00098 : constant Version_32 := 16#06dc2a66#;
   pragma Export (C, u00098, "fnameS");
   u00099 : constant Version_32 := 16#2044a70d#;
   pragma Export (C, u00099, "gnat__dynamic_htablesB");
   u00100 : constant Version_32 := 16#05f952b6#;
   pragma Export (C, u00100, "gnat__dynamic_htablesS");
   u00101 : constant Version_32 := 16#17fb561a#;
   pragma Export (C, u00101, "osintB");
   u00102 : constant Version_32 := 16#61e12e79#;
   pragma Export (C, u00102, "osintS");
   u00103 : constant Version_32 := 16#c4507fa7#;
   pragma Export (C, u00103, "fmapB");
   u00104 : constant Version_32 := 16#9ac5a2f6#;
   pragma Export (C, u00104, "fmapS");
   u00105 : constant Version_32 := 16#be789e08#;
   pragma Export (C, u00105, "gnat__htableB");
   u00106 : constant Version_32 := 16#7a3e0440#;
   pragma Export (C, u00106, "gnat__htableS");
   u00107 : constant Version_32 := 16#796f31f1#;
   pragma Export (C, u00107, "system__htableB");
   u00108 : constant Version_32 := 16#f324e8a8#;
   pragma Export (C, u00108, "system__htableS");
   u00109 : constant Version_32 := 16#089f5cd0#;
   pragma Export (C, u00109, "system__string_hashB");
   u00110 : constant Version_32 := 16#517a83d6#;
   pragma Export (C, u00110, "system__string_hashS");
   u00111 : constant Version_32 := 16#f9405997#;
   pragma Export (C, u00111, "sdefaultB");
   u00112 : constant Version_32 := 16#a7d7201f#;
   pragma Export (C, u00112, "sdefaultS");
   u00113 : constant Version_32 := 16#40dce533#;
   pragma Export (C, u00113, "targparmB");
   u00114 : constant Version_32 := 16#24210956#;
   pragma Export (C, u00114, "targparmS");
   u00115 : constant Version_32 := 16#46a3369a#;
   pragma Export (C, u00115, "csetsB");
   u00116 : constant Version_32 := 16#e948558f#;
   pragma Export (C, u00116, "csetsS");
   u00117 : constant Version_32 := 16#27e30df3#;
   pragma Export (C, u00117, "ridentS");
   u00118 : constant Version_32 := 16#a19d6876#;
   pragma Export (C, u00118, "snamesB");
   u00119 : constant Version_32 := 16#2b47cd92#;
   pragma Export (C, u00119, "snamesS");
   u00120 : constant Version_32 := 16#cfbc3039#;
   pragma Export (C, u00120, "casingB");
   u00121 : constant Version_32 := 16#f1067a43#;
   pragma Export (C, u00121, "casingS");
   u00122 : constant Version_32 := 16#0a85a591#;
   pragma Export (C, u00122, "indepswB");
   u00123 : constant Version_32 := 16#e3de4372#;
   pragma Export (C, u00123, "indepswS");
   u00124 : constant Version_32 := 16#769e25e6#;
   pragma Export (C, u00124, "interfaces__cB");
   u00125 : constant Version_32 := 16#467817d8#;
   pragma Export (C, u00125, "interfaces__cS");
   u00126 : constant Version_32 := 16#5825592d#;
   pragma Export (C, u00126, "interfaces__c__stringsB");
   u00127 : constant Version_32 := 16#603c1c44#;
   pragma Export (C, u00127, "interfaces__c__stringsS");
   u00128 : constant Version_32 := 16#73d2d764#;
   pragma Export (C, u00128, "interfaces__c_streamsB");
   u00129 : constant Version_32 := 16#b1330297#;
   pragma Export (C, u00129, "interfaces__c_streamsS");
   u00130 : constant Version_32 := 16#a88c6d24#;
   pragma Export (C, u00130, "switchB");
   u00131 : constant Version_32 := 16#cb06ad41#;
   pragma Export (C, u00131, "switchS");

   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.img_int%s
   --  system.img_int%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%s
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  system.unsigned_types%s
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%s
   --  system.wch_cnv%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.traceback%s
   --  system.traceback%b
   --  system.secondary_stack%s
   --  system.standard_library%s
   --  ada.exceptions%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.soft_links%s
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  ada.exceptions.traceback%s
   --  ada.exceptions.traceback%b
   --  system.address_image%s
   --  system.address_image%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.exceptions.machine%s
   --  system.exceptions.machine%b
   --  system.memory%s
   --  system.memory%b
   --  system.secondary_stack%b
   --  system.soft_links.initialize%s
   --  system.soft_links.initialize%b
   --  system.soft_links%b
   --  system.standard_library%b
   --  system.traceback.symbolic%s
   --  system.traceback.symbolic%b
   --  ada.exceptions%b
   --  ada.command_line%s
   --  ada.command_line%b
   --  gnat%s
   --  gnat.htable%s
   --  gnat.htable%b
   --  interfaces.c%s
   --  interfaces.c%b
   --  interfaces.c.strings%s
   --  interfaces.c.strings%b
   --  system.case_util%s
   --  system.case_util%b
   --  system.os_lib%s
   --  system.os_lib%b
   --  gnat.dynamic_htables%s
   --  gnat.dynamic_htables%b
   --  system.assertions%s
   --  system.assertions%b
   --  debug%s
   --  debug%b
   --  types%s
   --  types%b
   --  alloc%s
   --  gnatvsn%s
   --  gnatvsn%b
   --  hostparm%s
   --  indepsw%s
   --  indepsw%b
   --  output%s
   --  output%b
   --  rident%s
   --  tree_io%s
   --  tree_io%b
   --  opt%s
   --  opt%b
   --  csets%s
   --  csets%b
   --  table%s
   --  table%b
   --  widechar%s
   --  widechar%b
   --  namet%s
   --  namet%b
   --  butil%s
   --  butil%b
   --  casing%s
   --  casing%b
   --  fmap%s
   --  osint%s
   --  fmap%b
   --  sdefault%s
   --  sdefault%b
   --  targparm%s
   --  targparm%b
   --  osint%b
   --  fname%s
   --  fname%b
   --  snames%s
   --  snames%b
   --  ali%s
   --  ali%b
   --  switch%s
   --  switch%b
   --  gnatlink%s
   --  gnatlink%b
   --  END ELABORATION ORDER

end ada_main;
