pragma Warnings (Off);
pragma Ada_95;
with System;
with System.Parameters;
with System.Secondary_Stack;
package ada_main is

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 10.4.0" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_gnatmake" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#354cfb01#;
   pragma Export (C, u00001, "gnatmakeB");
   u00002 : constant Version_32 := 16#2f7236c5#;
   pragma Export (C, u00002, "gnatmakeS");
   u00003 : constant Version_32 := 16#050ff2f0#;
   pragma Export (C, u00003, "system__standard_libraryB");
   u00004 : constant Version_32 := 16#70c0456d#;
   pragma Export (C, u00004, "system__standard_libraryS");
   u00005 : constant Version_32 := 16#5d525d24#;
   pragma Export (C, u00005, "gnatvsnB");
   u00006 : constant Version_32 := 16#aed2d083#;
   pragma Export (C, u00006, "gnatvsnS");
   u00007 : constant Version_32 := 16#c2f8f675#;
   pragma Export (C, u00007, "system__secondary_stackB");
   u00008 : constant Version_32 := 16#3272a35b#;
   pragma Export (C, u00008, "system__secondary_stackS");
   u00009 : constant Version_32 := 16#76789da1#;
   pragma Export (C, u00009, "adaS");
   u00010 : constant Version_32 := 16#2983a2a1#;
   pragma Export (C, u00010, "ada__exceptionsB");
   u00011 : constant Version_32 := 16#e7843ced#;
   pragma Export (C, u00011, "ada__exceptionsS");
   u00012 : constant Version_32 := 16#5726abed#;
   pragma Export (C, u00012, "ada__exceptions__last_chance_handlerB");
   u00013 : constant Version_32 := 16#cfec26ee#;
   pragma Export (C, u00013, "ada__exceptions__last_chance_handlerS");
   u00014 : constant Version_32 := 16#77e65b42#;
   pragma Export (C, u00014, "systemS");
   u00015 : constant Version_32 := 16#ae860117#;
   pragma Export (C, u00015, "system__soft_linksB");
   u00016 : constant Version_32 := 16#bcec2334#;
   pragma Export (C, u00016, "system__soft_linksS");
   u00017 : constant Version_32 := 16#75bf515c#;
   pragma Export (C, u00017, "system__soft_links__initializeB");
   u00018 : constant Version_32 := 16#5697fc2b#;
   pragma Export (C, u00018, "system__soft_links__initializeS");
   u00019 : constant Version_32 := 16#86dbf443#;
   pragma Export (C, u00019, "system__parametersB");
   u00020 : constant Version_32 := 16#3f0a0f69#;
   pragma Export (C, u00020, "system__parametersS");
   u00021 : constant Version_32 := 16#41837d1e#;
   pragma Export (C, u00021, "system__stack_checkingB");
   u00022 : constant Version_32 := 16#f95930aa#;
   pragma Export (C, u00022, "system__stack_checkingS");
   u00023 : constant Version_32 := 16#ced09590#;
   pragma Export (C, u00023, "system__storage_elementsB");
   u00024 : constant Version_32 := 16#5a251146#;
   pragma Export (C, u00024, "system__storage_elementsS");
   u00025 : constant Version_32 := 16#34742901#;
   pragma Export (C, u00025, "system__exception_tableB");
   u00026 : constant Version_32 := 16#2a483200#;
   pragma Export (C, u00026, "system__exception_tableS");
   u00027 : constant Version_32 := 16#ce4af020#;
   pragma Export (C, u00027, "system__exceptionsB");
   u00028 : constant Version_32 := 16#1f8536b4#;
   pragma Export (C, u00028, "system__exceptionsS");
   u00029 : constant Version_32 := 16#1d2f86ee#;
   pragma Export (C, u00029, "system__exceptions__machineB");
   u00030 : constant Version_32 := 16#328ef147#;
   pragma Export (C, u00030, "system__exceptions__machineS");
   u00031 : constant Version_32 := 16#aa0563fc#;
   pragma Export (C, u00031, "system__exceptions_debugB");
   u00032 : constant Version_32 := 16#096ca286#;
   pragma Export (C, u00032, "system__exceptions_debugS");
   u00033 : constant Version_32 := 16#6c2f8802#;
   pragma Export (C, u00033, "system__img_intB");
   u00034 : constant Version_32 := 16#753dbb80#;
   pragma Export (C, u00034, "system__img_intS");
   u00035 : constant Version_32 := 16#39df8c17#;
   pragma Export (C, u00035, "system__tracebackB");
   u00036 : constant Version_32 := 16#29c48586#;
   pragma Export (C, u00036, "system__tracebackS");
   u00037 : constant Version_32 := 16#9ed49525#;
   pragma Export (C, u00037, "system__traceback_entriesB");
   u00038 : constant Version_32 := 16#77bdad32#;
   pragma Export (C, u00038, "system__traceback_entriesS");
   u00039 : constant Version_32 := 16#bb296fbb#;
   pragma Export (C, u00039, "system__traceback__symbolicB");
   u00040 : constant Version_32 := 16#46491211#;
   pragma Export (C, u00040, "system__traceback__symbolicS");
   u00041 : constant Version_32 := 16#701f9d88#;
   pragma Export (C, u00041, "ada__exceptions__tracebackB");
   u00042 : constant Version_32 := 16#ae2d2db5#;
   pragma Export (C, u00042, "ada__exceptions__tracebackS");
   u00043 : constant Version_32 := 16#a0d3d22b#;
   pragma Export (C, u00043, "system__address_imageB");
   u00044 : constant Version_32 := 16#d60ac678#;
   pragma Export (C, u00044, "system__address_imageS");
   u00045 : constant Version_32 := 16#8c33a517#;
   pragma Export (C, u00045, "system__wch_conB");
   u00046 : constant Version_32 := 16#6c9b7990#;
   pragma Export (C, u00046, "system__wch_conS");
   u00047 : constant Version_32 := 16#9721e840#;
   pragma Export (C, u00047, "system__wch_stwB");
   u00048 : constant Version_32 := 16#418a5591#;
   pragma Export (C, u00048, "system__wch_stwS");
   u00049 : constant Version_32 := 16#a831679c#;
   pragma Export (C, u00049, "system__wch_cnvB");
   u00050 : constant Version_32 := 16#632cc363#;
   pragma Export (C, u00050, "system__wch_cnvS");
   u00051 : constant Version_32 := 16#5ab55268#;
   pragma Export (C, u00051, "interfacesS");
   u00052 : constant Version_32 := 16#ece6fdb6#;
   pragma Export (C, u00052, "system__wch_jisB");
   u00053 : constant Version_32 := 16#e35cda42#;
   pragma Export (C, u00053, "system__wch_jisS");
   u00054 : constant Version_32 := 16#db93d0bc#;
   pragma Export (C, u00054, "makeB");
   u00055 : constant Version_32 := 16#f8ac97ed#;
   pragma Export (C, u00055, "makeS");
   u00056 : constant Version_32 := 16#7e1a0b30#;
   pragma Export (C, u00056, "ada__command_lineB");
   u00057 : constant Version_32 := 16#3cdef8c9#;
   pragma Export (C, u00057, "ada__command_lineS");
   u00058 : constant Version_32 := 16#4f4a5a7d#;
   pragma Export (C, u00058, "ada__directoriesB");
   u00059 : constant Version_32 := 16#7b0ecd0f#;
   pragma Export (C, u00059, "ada__directoriesS");
   u00060 : constant Version_32 := 16#fc54e290#;
   pragma Export (C, u00060, "ada__calendarB");
   u00061 : constant Version_32 := 16#31350a81#;
   pragma Export (C, u00061, "ada__calendarS");
   u00062 : constant Version_32 := 16#769e25e6#;
   pragma Export (C, u00062, "interfaces__cB");
   u00063 : constant Version_32 := 16#467817d8#;
   pragma Export (C, u00063, "interfaces__cS");
   u00064 : constant Version_32 := 16#51f2d040#;
   pragma Export (C, u00064, "system__os_primitivesB");
   u00065 : constant Version_32 := 16#701b3eb4#;
   pragma Export (C, u00065, "system__os_primitivesS");
   u00066 : constant Version_32 := 16#26518ca7#;
   pragma Export (C, u00066, "ada__calendar__formattingB");
   u00067 : constant Version_32 := 16#0dbf7387#;
   pragma Export (C, u00067, "ada__calendar__formattingS");
   u00068 : constant Version_32 := 16#e3cca715#;
   pragma Export (C, u00068, "ada__calendar__time_zonesB");
   u00069 : constant Version_32 := 16#07d0e97b#;
   pragma Export (C, u00069, "ada__calendar__time_zonesS");
   u00070 : constant Version_32 := 16#0f9783a4#;
   pragma Export (C, u00070, "system__val_intB");
   u00071 : constant Version_32 := 16#c2193221#;
   pragma Export (C, u00071, "system__val_intS");
   u00072 : constant Version_32 := 16#436027c1#;
   pragma Export (C, u00072, "system__unsigned_typesS");
   u00073 : constant Version_32 := 16#383fd226#;
   pragma Export (C, u00073, "system__val_unsB");
   u00074 : constant Version_32 := 16#76665a78#;
   pragma Export (C, u00074, "system__val_unsS");
   u00075 : constant Version_32 := 16#269742a9#;
   pragma Export (C, u00075, "system__val_utilB");
   u00076 : constant Version_32 := 16#db46edbc#;
   pragma Export (C, u00076, "system__val_utilS");
   u00077 : constant Version_32 := 16#ec4d5631#;
   pragma Export (C, u00077, "system__case_utilB");
   u00078 : constant Version_32 := 16#4833ed16#;
   pragma Export (C, u00078, "system__case_utilS");
   u00079 : constant Version_32 := 16#6620fa49#;
   pragma Export (C, u00079, "system__val_realB");
   u00080 : constant Version_32 := 16#7999b797#;
   pragma Export (C, u00080, "system__val_realS");
   u00081 : constant Version_32 := 16#b2a569d2#;
   pragma Export (C, u00081, "system__exn_llfB");
   u00082 : constant Version_32 := 16#cb98e09e#;
   pragma Export (C, u00082, "system__exn_llfS");
   u00083 : constant Version_32 := 16#1b28662b#;
   pragma Export (C, u00083, "system__float_controlB");
   u00084 : constant Version_32 := 16#971a187e#;
   pragma Export (C, u00084, "system__float_controlS");
   u00085 : constant Version_32 := 16#5b4659fa#;
   pragma Export (C, u00085, "ada__charactersS");
   u00086 : constant Version_32 := 16#8f637df8#;
   pragma Export (C, u00086, "ada__characters__handlingB");
   u00087 : constant Version_32 := 16#3b3f6154#;
   pragma Export (C, u00087, "ada__characters__handlingS");
   u00088 : constant Version_32 := 16#4b7bb96a#;
   pragma Export (C, u00088, "ada__characters__latin_1S");
   u00089 : constant Version_32 := 16#e6d4fa36#;
   pragma Export (C, u00089, "ada__stringsS");
   u00090 : constant Version_32 := 16#96df1a3f#;
   pragma Export (C, u00090, "ada__strings__mapsB");
   u00091 : constant Version_32 := 16#1e526bec#;
   pragma Export (C, u00091, "ada__strings__mapsS");
   u00092 : constant Version_32 := 16#69557c77#;
   pragma Export (C, u00092, "system__bit_opsB");
   u00093 : constant Version_32 := 16#0765e3a3#;
   pragma Export (C, u00093, "system__bit_opsS");
   u00094 : constant Version_32 := 16#92f05f13#;
   pragma Export (C, u00094, "ada__strings__maps__constantsS");
   u00095 : constant Version_32 := 16#a83320fb#;
   pragma Export (C, u00095, "ada__directories__hierarchical_file_namesB");
   u00096 : constant Version_32 := 16#752941c9#;
   pragma Export (C, u00096, "ada__directories__hierarchical_file_namesS");
   u00097 : constant Version_32 := 16#ab4ad33a#;
   pragma Export (C, u00097, "ada__directories__validityB");
   u00098 : constant Version_32 := 16#498b13d5#;
   pragma Export (C, u00098, "ada__directories__validityS");
   u00099 : constant Version_32 := 16#bf363ed2#;
   pragma Export (C, u00099, "ada__strings__fixedB");
   u00100 : constant Version_32 := 16#fec1aafc#;
   pragma Export (C, u00100, "ada__strings__fixedS");
   u00101 : constant Version_32 := 16#5109bed4#;
   pragma Export (C, u00101, "ada__strings__searchB");
   u00102 : constant Version_32 := 16#c1ab8667#;
   pragma Export (C, u00102, "ada__strings__searchS");
   u00103 : constant Version_32 := 16#5d91da9f#;
   pragma Export (C, u00103, "ada__tagsB");
   u00104 : constant Version_32 := 16#12a0afb8#;
   pragma Export (C, u00104, "ada__tagsS");
   u00105 : constant Version_32 := 16#796f31f1#;
   pragma Export (C, u00105, "system__htableB");
   u00106 : constant Version_32 := 16#f324e8a8#;
   pragma Export (C, u00106, "system__htableS");
   u00107 : constant Version_32 := 16#089f5cd0#;
   pragma Export (C, u00107, "system__string_hashB");
   u00108 : constant Version_32 := 16#517a83d6#;
   pragma Export (C, u00108, "system__string_hashS");
   u00109 : constant Version_32 := 16#351539c5#;
   pragma Export (C, u00109, "ada__strings__unboundedB");
   u00110 : constant Version_32 := 16#6552cb60#;
   pragma Export (C, u00110, "ada__strings__unboundedS");
   u00111 : constant Version_32 := 16#acee74ad#;
   pragma Export (C, u00111, "system__compare_array_unsigned_8B");
   u00112 : constant Version_32 := 16#dee52acf#;
   pragma Export (C, u00112, "system__compare_array_unsigned_8S");
   u00113 : constant Version_32 := 16#a8025f3c#;
   pragma Export (C, u00113, "system__address_operationsB");
   u00114 : constant Version_32 := 16#64eae571#;
   pragma Export (C, u00114, "system__address_operationsS");
   u00115 : constant Version_32 := 16#a02f73f2#;
   pragma Export (C, u00115, "system__storage_pools__subpoolsB");
   u00116 : constant Version_32 := 16#cc5a1856#;
   pragma Export (C, u00116, "system__storage_pools__subpoolsS");
   u00117 : constant Version_32 := 16#57674f80#;
   pragma Export (C, u00117, "system__finalization_mastersB");
   u00118 : constant Version_32 := 16#2c1a6288#;
   pragma Export (C, u00118, "system__finalization_mastersS");
   u00119 : constant Version_32 := 16#7268f812#;
   pragma Export (C, u00119, "system__img_boolB");
   u00120 : constant Version_32 := 16#823f2aa9#;
   pragma Export (C, u00120, "system__img_boolS");
   u00121 : constant Version_32 := 16#d7aac20c#;
   pragma Export (C, u00121, "system__ioB");
   u00122 : constant Version_32 := 16#e9a4ac0d#;
   pragma Export (C, u00122, "system__ioS");
   u00123 : constant Version_32 := 16#86c56e5a#;
   pragma Export (C, u00123, "ada__finalizationS");
   u00124 : constant Version_32 := 16#10558b11#;
   pragma Export (C, u00124, "ada__streamsB");
   u00125 : constant Version_32 := 16#67e31212#;
   pragma Export (C, u00125, "ada__streamsS");
   u00126 : constant Version_32 := 16#92d882c5#;
   pragma Export (C, u00126, "ada__io_exceptionsS");
   u00127 : constant Version_32 := 16#95817ed8#;
   pragma Export (C, u00127, "system__finalization_rootB");
   u00128 : constant Version_32 := 16#381428d2#;
   pragma Export (C, u00128, "system__finalization_rootS");
   u00129 : constant Version_32 := 16#6d4d969a#;
   pragma Export (C, u00129, "system__storage_poolsB");
   u00130 : constant Version_32 := 16#540bc5ef#;
   pragma Export (C, u00130, "system__storage_poolsS");
   u00131 : constant Version_32 := 16#84042202#;
   pragma Export (C, u00131, "system__storage_pools__subpools__finalizationB");
   u00132 : constant Version_32 := 16#fe2f4b3a#;
   pragma Export (C, u00132, "system__storage_pools__subpools__finalizationS");
   u00133 : constant Version_32 := 16#020a3f4d#;
   pragma Export (C, u00133, "system__atomic_countersB");
   u00134 : constant Version_32 := 16#c3ba76cf#;
   pragma Export (C, u00134, "system__atomic_countersS");
   u00135 : constant Version_32 := 16#039168f8#;
   pragma Export (C, u00135, "system__stream_attributesB");
   u00136 : constant Version_32 := 16#8bc30a4e#;
   pragma Export (C, u00136, "system__stream_attributesS");
   u00137 : constant Version_32 := 16#31b1d418#;
   pragma Export (C, u00137, "system__crtlS");
   u00138 : constant Version_32 := 16#8ac67d3e#;
   pragma Export (C, u00138, "system__file_attributesS");
   u00139 : constant Version_32 := 16#f148c435#;
   pragma Export (C, u00139, "system__os_constantsS");
   u00140 : constant Version_32 := 16#ec9c64c3#;
   pragma Export (C, u00140, "system__file_ioB");
   u00141 : constant Version_32 := 16#d097ba27#;
   pragma Export (C, u00141, "system__file_ioS");
   u00142 : constant Version_32 := 16#73d2d764#;
   pragma Export (C, u00142, "interfaces__c_streamsB");
   u00143 : constant Version_32 := 16#b1330297#;
   pragma Export (C, u00143, "interfaces__c_streamsS");
   u00144 : constant Version_32 := 16#6591bc26#;
   pragma Export (C, u00144, "system__os_libB");
   u00145 : constant Version_32 := 16#d872da39#;
   pragma Export (C, u00145, "system__os_libS");
   u00146 : constant Version_32 := 16#2a8e89ad#;
   pragma Export (C, u00146, "system__stringsB");
   u00147 : constant Version_32 := 16#17f077d7#;
   pragma Export (C, u00147, "system__stringsS");
   u00148 : constant Version_32 := 16#8a79c1ea#;
   pragma Export (C, u00148, "system__file_control_blockS");
   u00149 : constant Version_32 := 16#95f86c43#;
   pragma Export (C, u00149, "system__regexpB");
   u00150 : constant Version_32 := 16#54d4fc8e#;
   pragma Export (C, u00150, "system__regexpS");
   u00151 : constant Version_32 := 16#abfcab7d#;
   pragma Export (C, u00151, "aliB");
   u00152 : constant Version_32 := 16#4f5456e6#;
   pragma Export (C, u00152, "aliS");
   u00153 : constant Version_32 := 16#c017f602#;
   pragma Export (C, u00153, "butilB");
   u00154 : constant Version_32 := 16#0d752381#;
   pragma Export (C, u00154, "butilS");
   u00155 : constant Version_32 := 16#b5988c27#;
   pragma Export (C, u00155, "gnatS");
   u00156 : constant Version_32 := 16#b5383132#;
   pragma Export (C, u00156, "optB");
   u00157 : constant Version_32 := 16#5897096d#;
   pragma Export (C, u00157, "optS");
   u00158 : constant Version_32 := 16#dcf8e2cf#;
   pragma Export (C, u00158, "system__assertionsB");
   u00159 : constant Version_32 := 16#ba6b77d6#;
   pragma Export (C, u00159, "system__assertionsS");
   u00160 : constant Version_32 := 16#b9a3a899#;
   pragma Export (C, u00160, "tree_ioB");
   u00161 : constant Version_32 := 16#9225cec4#;
   pragma Export (C, u00161, "tree_ioS");
   u00162 : constant Version_32 := 16#91fc5baa#;
   pragma Export (C, u00162, "debugB");
   u00163 : constant Version_32 := 16#1ac546f9#;
   pragma Export (C, u00163, "debugS");
   u00164 : constant Version_32 := 16#39794d05#;
   pragma Export (C, u00164, "outputB");
   u00165 : constant Version_32 := 16#83393876#;
   pragma Export (C, u00165, "outputS");
   u00166 : constant Version_32 := 16#7db849eb#;
   pragma Export (C, u00166, "hostparmS");
   u00167 : constant Version_32 := 16#fd83e873#;
   pragma Export (C, u00167, "system__concat_2B");
   u00168 : constant Version_32 := 16#75468c92#;
   pragma Export (C, u00168, "system__concat_2S");
   u00169 : constant Version_32 := 16#587eb9ab#;
   pragma Export (C, u00169, "typesB");
   u00170 : constant Version_32 := 16#43383cda#;
   pragma Export (C, u00170, "typesS");
   u00171 : constant Version_32 := 16#3c5e1c04#;
   pragma Export (C, u00171, "nametB");
   u00172 : constant Version_32 := 16#f1c61094#;
   pragma Export (C, u00172, "nametS");
   u00173 : constant Version_32 := 16#700bac7f#;
   pragma Export (C, u00173, "widecharB");
   u00174 : constant Version_32 := 16#700d44f3#;
   pragma Export (C, u00174, "widecharS");
   u00175 : constant Version_32 := 16#972e59bd#;
   pragma Export (C, u00175, "allocS");
   u00176 : constant Version_32 := 16#c69c6160#;
   pragma Export (C, u00176, "tableB");
   u00177 : constant Version_32 := 16#71c45158#;
   pragma Export (C, u00177, "tableS");
   u00178 : constant Version_32 := 16#e31b7c4e#;
   pragma Export (C, u00178, "system__memoryB");
   u00179 : constant Version_32 := 16#2e9b3d76#;
   pragma Export (C, u00179, "system__memoryS");
   u00180 : constant Version_32 := 16#e909d55e#;
   pragma Export (C, u00180, "fnameB");
   u00181 : constant Version_32 := 16#06dc2a66#;
   pragma Export (C, u00181, "fnameS");
   u00182 : constant Version_32 := 16#2044a70d#;
   pragma Export (C, u00182, "gnat__dynamic_htablesB");
   u00183 : constant Version_32 := 16#05f952b6#;
   pragma Export (C, u00183, "gnat__dynamic_htablesS");
   u00184 : constant Version_32 := 16#17fb561a#;
   pragma Export (C, u00184, "osintB");
   u00185 : constant Version_32 := 16#61e12e79#;
   pragma Export (C, u00185, "osintS");
   u00186 : constant Version_32 := 16#c4507fa7#;
   pragma Export (C, u00186, "fmapB");
   u00187 : constant Version_32 := 16#9ac5a2f6#;
   pragma Export (C, u00187, "fmapS");
   u00188 : constant Version_32 := 16#be789e08#;
   pragma Export (C, u00188, "gnat__htableB");
   u00189 : constant Version_32 := 16#7a3e0440#;
   pragma Export (C, u00189, "gnat__htableS");
   u00190 : constant Version_32 := 16#f9405997#;
   pragma Export (C, u00190, "sdefaultB");
   u00191 : constant Version_32 := 16#a7d7201f#;
   pragma Export (C, u00191, "sdefaultS");
   u00192 : constant Version_32 := 16#40dce533#;
   pragma Export (C, u00192, "targparmB");
   u00193 : constant Version_32 := 16#24210956#;
   pragma Export (C, u00193, "targparmS");
   u00194 : constant Version_32 := 16#46a3369a#;
   pragma Export (C, u00194, "csetsB");
   u00195 : constant Version_32 := 16#e948558f#;
   pragma Export (C, u00195, "csetsS");
   u00196 : constant Version_32 := 16#27e30df3#;
   pragma Export (C, u00196, "ridentS");
   u00197 : constant Version_32 := 16#a19d6876#;
   pragma Export (C, u00197, "snamesB");
   u00198 : constant Version_32 := 16#2b47cd92#;
   pragma Export (C, u00198, "snamesS");
   u00199 : constant Version_32 := 16#cfbc3039#;
   pragma Export (C, u00199, "casingB");
   u00200 : constant Version_32 := 16#f1067a43#;
   pragma Export (C, u00200, "casingS");
   u00201 : constant Version_32 := 16#c0b19ae7#;
   pragma Export (C, u00201, "ali__utilB");
   u00202 : constant Version_32 := 16#cd7c7b7f#;
   pragma Export (C, u00202, "ali__utilS");
   u00203 : constant Version_32 := 16#a38bdc57#;
   pragma Export (C, u00203, "atreeB");
   u00204 : constant Version_32 := 16#b5d8ca08#;
   pragma Export (C, u00204, "atreeS");
   u00205 : constant Version_32 := 16#04c990f1#;
   pragma Export (C, u00205, "aspectsB");
   u00206 : constant Version_32 := 16#479df97c#;
   pragma Export (C, u00206, "aspectsS");
   u00207 : constant Version_32 := 16#186f7a0d#;
   pragma Export (C, u00207, "einfoB");
   u00208 : constant Version_32 := 16#6f09bdd8#;
   pragma Export (C, u00208, "einfoS");
   u00209 : constant Version_32 := 16#4ddf0b23#;
   pragma Export (C, u00209, "elistsB");
   u00210 : constant Version_32 := 16#81ccf806#;
   pragma Export (C, u00210, "elistsS");
   u00211 : constant Version_32 := 16#1b6610ed#;
   pragma Export (C, u00211, "nlistsB");
   u00212 : constant Version_32 := 16#a76df4c3#;
   pragma Export (C, u00212, "nlistsS");
   u00213 : constant Version_32 := 16#40954c32#;
   pragma Export (C, u00213, "sinfoB");
   u00214 : constant Version_32 := 16#d099103f#;
   pragma Export (C, u00214, "sinfoS");
   u00215 : constant Version_32 := 16#92a723ac#;
   pragma Export (C, u00215, "uintpB");
   u00216 : constant Version_32 := 16#20eb23c2#;
   pragma Export (C, u00216, "uintpS");
   u00217 : constant Version_32 := 16#b13f2662#;
   pragma Export (C, u00217, "urealpB");
   u00218 : constant Version_32 := 16#fcb52a52#;
   pragma Export (C, u00218, "urealpS");
   u00219 : constant Version_32 := 16#bb7bea4d#;
   pragma Export (C, u00219, "standB");
   u00220 : constant Version_32 := 16#97e61926#;
   pragma Export (C, u00220, "standS");
   u00221 : constant Version_32 := 16#8539d2d8#;
   pragma Export (C, u00221, "sinputB");
   u00222 : constant Version_32 := 16#e88ea430#;
   pragma Export (C, u00222, "sinputS");
   u00223 : constant Version_32 := 16#f546f02e#;
   pragma Export (C, u00223, "gnat__byte_order_markB");
   u00224 : constant Version_32 := 16#9e8b3c0b#;
   pragma Export (C, u00224, "gnat__byte_order_markS");
   u00225 : constant Version_32 := 16#c34fe37c#;
   pragma Export (C, u00225, "scansB");
   u00226 : constant Version_32 := 16#5f34a5f0#;
   pragma Export (C, u00226, "scansS");
   u00227 : constant Version_32 := 16#dd938547#;
   pragma Export (C, u00227, "binderrB");
   u00228 : constant Version_32 := 16#070d98dd#;
   pragma Export (C, u00228, "binderrS");
   u00229 : constant Version_32 := 16#fbb8363e#;
   pragma Export (C, u00229, "err_varsS");
   u00230 : constant Version_32 := 16#8a1a8848#;
   pragma Export (C, u00230, "restrictB");
   u00231 : constant Version_32 := 16#4d64c5da#;
   pragma Export (C, u00231, "restrictS");
   u00232 : constant Version_32 := 16#eed4cb97#;
   pragma Export (C, u00232, "erroutB");
   u00233 : constant Version_32 := 16#80fc8c46#;
   pragma Export (C, u00233, "erroutS");
   u00234 : constant Version_32 := 16#02f590fe#;
   pragma Export (C, u00234, "erroutcB");
   u00235 : constant Version_32 := 16#34c69e85#;
   pragma Export (C, u00235, "erroutcS");
   u00236 : constant Version_32 := 16#092ce8de#;
   pragma Export (C, u00236, "stringtB");
   u00237 : constant Version_32 := 16#4df70dee#;
   pragma Export (C, u00237, "stringtS");
   u00238 : constant Version_32 := 16#9a737387#;
   pragma Export (C, u00238, "libB");
   u00239 : constant Version_32 := 16#805e10cc#;
   pragma Export (C, u00239, "libS");
   u00240 : constant Version_32 := 16#a4214150#;
   pragma Export (C, u00240, "unameB");
   u00241 : constant Version_32 := 16#7ba289ea#;
   pragma Export (C, u00241, "unameS");
   u00242 : constant Version_32 := 16#999198a6#;
   pragma Export (C, u00242, "sem_auxB");
   u00243 : constant Version_32 := 16#9f4dc9af#;
   pragma Export (C, u00243, "sem_auxS");
   u00244 : constant Version_32 := 16#933d538f#;
   pragma Export (C, u00244, "styleswB");
   u00245 : constant Version_32 := 16#bce761ee#;
   pragma Export (C, u00245, "styleswS");
   u00246 : constant Version_32 := 16#73c1f60f#;
   pragma Export (C, u00246, "fname__ufB");
   u00247 : constant Version_32 := 16#76bbb8a3#;
   pragma Export (C, u00247, "fname__ufS");
   u00248 : constant Version_32 := 16#997d3593#;
   pragma Export (C, u00248, "krunchB");
   u00249 : constant Version_32 := 16#c0b4ff65#;
   pragma Export (C, u00249, "krunchS");
   u00250 : constant Version_32 := 16#d642a37a#;
   pragma Export (C, u00250, "scngB");
   u00251 : constant Version_32 := 16#5f4ca81a#;
   pragma Export (C, u00251, "scngS");
   u00252 : constant Version_32 := 16#1c868fea#;
   pragma Export (C, u00252, "system__crc32B");
   u00253 : constant Version_32 := 16#cef481ed#;
   pragma Export (C, u00253, "system__crc32S");
   u00254 : constant Version_32 := 16#27ccf663#;
   pragma Export (C, u00254, "system__utf_32B");
   u00255 : constant Version_32 := 16#e96fb28e#;
   pragma Export (C, u00255, "system__utf_32S");
   u00256 : constant Version_32 := 16#3f14c101#;
   pragma Export (C, u00256, "stylegB");
   u00257 : constant Version_32 := 16#a75c9028#;
   pragma Export (C, u00257, "stylegS");
   u00258 : constant Version_32 := 16#f78e826e#;
   pragma Export (C, u00258, "sinput__cB");
   u00259 : constant Version_32 := 16#ae235f22#;
   pragma Export (C, u00259, "sinput__cS");
   u00260 : constant Version_32 := 16#eb387c00#;
   pragma Export (C, u00260, "fname__sfB");
   u00261 : constant Version_32 := 16#ee92d97e#;
   pragma Export (C, u00261, "fname__sfS");
   u00262 : constant Version_32 := 16#deaf9cc1#;
   pragma Export (C, u00262, "sfn_scanB");
   u00263 : constant Version_32 := 16#fb1d0fa7#;
   pragma Export (C, u00263, "sfn_scanS");
   u00264 : constant Version_32 := 16#eccb5605#;
   pragma Export (C, u00264, "gnat__command_lineB");
   u00265 : constant Version_32 := 16#0b5ceadc#;
   pragma Export (C, u00265, "gnat__command_lineS");
   u00266 : constant Version_32 := 16#f4e097a7#;
   pragma Export (C, u00266, "ada__text_ioB");
   u00267 : constant Version_32 := 16#46aee46f#;
   pragma Export (C, u00267, "ada__text_ioS");
   u00268 : constant Version_32 := 16#a2f26eca#;
   pragma Export (C, u00268, "gnat__directory_operationsB");
   u00269 : constant Version_32 := 16#bec9e217#;
   pragma Export (C, u00269, "gnat__directory_operationsS");
   u00270 : constant Version_32 := 16#efb85c8a#;
   pragma Export (C, u00270, "gnat__os_libS");
   u00271 : constant Version_32 := 16#5a895de2#;
   pragma Export (C, u00271, "system__pool_globalB");
   u00272 : constant Version_32 := 16#7141203e#;
   pragma Export (C, u00272, "system__pool_globalS");
   u00273 : constant Version_32 := 16#40fe4806#;
   pragma Export (C, u00273, "gnat__regexpS");
   u00274 : constant Version_32 := 16#fcd606d0#;
   pragma Export (C, u00274, "gnat__stringsS");
   u00275 : constant Version_32 := 16#ed5db588#;
   pragma Export (C, u00275, "make_utilB");
   u00276 : constant Version_32 := 16#42f03ed0#;
   pragma Export (C, u00276, "make_utilS");
   u00277 : constant Version_32 := 16#4179c767#;
   pragma Export (C, u00277, "errutilB");
   u00278 : constant Version_32 := 16#d39ec004#;
   pragma Export (C, u00278, "errutilS");
   u00279 : constant Version_32 := 16#d37ed4a2#;
   pragma Export (C, u00279, "gnat__case_utilB");
   u00280 : constant Version_32 := 16#857fd105#;
   pragma Export (C, u00280, "gnat__case_utilS");
   u00281 : constant Version_32 := 16#0a7369ff#;
   pragma Export (C, u00281, "makeusgB");
   u00282 : constant Version_32 := 16#d11a0f72#;
   pragma Export (C, u00282, "makeusgS");
   u00283 : constant Version_32 := 16#a88c6d24#;
   pragma Export (C, u00283, "switchB");
   u00284 : constant Version_32 := 16#cb06ad41#;
   pragma Export (C, u00284, "switchS");
   u00285 : constant Version_32 := 16#b0eef1a7#;
   pragma Export (C, u00285, "usageB");
   u00286 : constant Version_32 := 16#44182068#;
   pragma Export (C, u00286, "usageS");
   u00287 : constant Version_32 := 16#80ee1fe5#;
   pragma Export (C, u00287, "osint__mB");
   u00288 : constant Version_32 := 16#eac35f3e#;
   pragma Export (C, u00288, "osint__mS");
   u00289 : constant Version_32 := 16#b20655b4#;
   pragma Export (C, u00289, "switch__mB");
   u00290 : constant Version_32 := 16#36e46ca4#;
   pragma Export (C, u00290, "switch__mS");
   u00291 : constant Version_32 := 16#f65595cf#;
   pragma Export (C, u00291, "system__multiprocessorsB");
   u00292 : constant Version_32 := 16#4f4ac431#;
   pragma Export (C, u00292, "system__multiprocessorsS");
   u00293 : constant Version_32 := 16#9d1d7df2#;
   pragma Export (C, u00293, "tempdirB");
   u00294 : constant Version_32 := 16#51e2824e#;
   pragma Export (C, u00294, "tempdirS");

   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.latin_1%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.atomic_counters%s
   --  system.atomic_counters%b
   --  system.exn_llf%s
   --  system.exn_llf%b
   --  system.float_control%s
   --  system.float_control%b
   --  system.img_bool%s
   --  system.img_bool%b
   --  system.img_int%s
   --  system.img_int%b
   --  system.io%s
   --  system.io%b
   --  system.os_primitives%s
   --  system.os_primitives%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%s
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  system.unsigned_types%s
   --  system.utf_32%s
   --  system.utf_32%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%s
   --  system.wch_cnv%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.crc32%s
   --  system.crc32%b
   --  system.traceback%s
   --  system.traceback%b
   --  system.secondary_stack%s
   --  system.standard_library%s
   --  ada.exceptions%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.soft_links%s
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  ada.exceptions.traceback%s
   --  ada.exceptions.traceback%b
   --  system.address_image%s
   --  system.address_image%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.exceptions.machine%s
   --  system.exceptions.machine%b
   --  system.memory%s
   --  system.memory%b
   --  system.secondary_stack%b
   --  system.soft_links.initialize%s
   --  system.soft_links.initialize%b
   --  system.soft_links%b
   --  system.standard_library%b
   --  system.traceback.symbolic%s
   --  system.traceback.symbolic%b
   --  ada.exceptions%b
   --  ada.command_line%s
   --  ada.command_line%b
   --  ada.io_exceptions%s
   --  ada.strings%s
   --  gnat%s
   --  gnat.htable%s
   --  gnat.htable%b
   --  gnat.strings%s
   --  interfaces.c%s
   --  interfaces.c%b
   --  system.case_util%s
   --  system.case_util%b
   --  gnat.case_util%s
   --  gnat.case_util%b
   --  system.multiprocessors%s
   --  system.multiprocessors%b
   --  system.os_constants%s
   --  system.os_lib%s
   --  system.os_lib%b
   --  gnat.os_lib%s
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_real%s
   --  system.val_real%b
   --  system.val_uns%s
   --  system.val_uns%b
   --  ada.tags%s
   --  ada.tags%b
   --  ada.streams%s
   --  ada.streams%b
   --  system.file_control_block%s
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  ada.finalization%s
   --  system.file_io%s
   --  system.file_io%b
   --  system.storage_pools%s
   --  system.storage_pools%b
   --  system.finalization_masters%s
   --  system.finalization_masters%b
   --  system.storage_pools.subpools%s
   --  system.storage_pools.subpools.finalization%s
   --  system.storage_pools.subpools.finalization%b
   --  system.storage_pools.subpools%b
   --  system.stream_attributes%s
   --  system.stream_attributes%b
   --  system.val_int%s
   --  system.val_int%b
   --  ada.calendar%s
   --  ada.calendar%b
   --  ada.calendar.time_zones%s
   --  ada.calendar.time_zones%b
   --  ada.calendar.formatting%s
   --  ada.calendar.formatting%b
   --  ada.text_io%s
   --  ada.text_io%b
   --  gnat.byte_order_mark%s
   --  gnat.byte_order_mark%b
   --  gnat.dynamic_htables%s
   --  gnat.dynamic_htables%b
   --  system.assertions%s
   --  system.assertions%b
   --  system.bit_ops%s
   --  system.bit_ops%b
   --  ada.strings.maps%s
   --  ada.strings.maps%b
   --  ada.strings.maps.constants%s
   --  ada.characters.handling%s
   --  ada.characters.handling%b
   --  ada.strings.search%s
   --  ada.strings.search%b
   --  ada.strings.fixed%s
   --  ada.strings.fixed%b
   --  ada.strings.unbounded%s
   --  ada.strings.unbounded%b
   --  gnat.directory_operations%s
   --  gnat.directory_operations%b
   --  system.file_attributes%s
   --  system.pool_global%s
   --  system.pool_global%b
   --  system.regexp%s
   --  system.regexp%b
   --  ada.directories%s
   --  ada.directories.hierarchical_file_names%s
   --  ada.directories.validity%s
   --  ada.directories.validity%b
   --  ada.directories%b
   --  ada.directories.hierarchical_file_names%b
   --  gnat.regexp%s
   --  gnat.command_line%s
   --  gnat.command_line%b
   --  debug%s
   --  debug%b
   --  types%s
   --  types%b
   --  alloc%s
   --  gnatvsn%s
   --  gnatvsn%b
   --  hostparm%s
   --  krunch%s
   --  krunch%b
   --  output%s
   --  output%b
   --  rident%s
   --  sfn_scan%s
   --  sfn_scan%b
   --  tree_io%s
   --  tree_io%b
   --  opt%s
   --  opt%b
   --  csets%s
   --  csets%b
   --  stylesw%s
   --  stylesw%b
   --  table%s
   --  table%b
   --  elists%s
   --  elists%b
   --  stand%s
   --  stand%b
   --  uintp%s
   --  uintp%b
   --  urealp%s
   --  urealp%b
   --  widechar%s
   --  widechar%b
   --  namet%s
   --  namet%b
   --  butil%s
   --  butil%b
   --  binderr%s
   --  binderr%b
   --  casing%s
   --  casing%b
   --  err_vars%s
   --  fmap%s
   --  osint%s
   --  fmap%b
   --  sdefault%s
   --  sdefault%b
   --  targparm%s
   --  targparm%b
   --  osint%b
   --  fname%s
   --  fname%b
   --  osint.m%s
   --  osint.m%b
   --  snames%s
   --  snames%b
   --  ali%s
   --  ali%b
   --  scans%s
   --  scans%b
   --  aspects%s
   --  einfo%s
   --  nlists%s
   --  sinfo%s
   --  atree%s
   --  aspects%b
   --  einfo%b
   --  nlists%b
   --  sinfo%b
   --  sinput%s
   --  sinput%b
   --  atree%b
   --  sem_aux%s
   --  sem_aux%b
   --  sinput.c%s
   --  sinput.c%b
   --  stringt%s
   --  stringt%b
   --  erroutc%s
   --  erroutc%b
   --  lib%s
   --  uname%s
   --  uname%b
   --  lib%b
   --  errout%s
   --  errout%b
   --  fname.uf%s
   --  fname.uf%b
   --  fname.sf%s
   --  fname.sf%b
   --  restrict%s
   --  restrict%b
   --  styleg%s
   --  styleg%b
   --  errutil%s
   --  errutil%b
   --  make_util%s
   --  make_util%b
   --  scng%s
   --  scng%b
   --  ali.util%s
   --  ali.util%b
   --  switch%s
   --  switch%b
   --  switch.m%s
   --  switch.m%b
   --  tempdir%s
   --  tempdir%b
   --  usage%s
   --  usage%b
   --  makeusg%s
   --  makeusg%b
   --  make%s
   --  make%b
   --  gnatmake%s
   --  gnatmake%b
   --  END ELABORATION ORDER

end ada_main;
